Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui
Class JavaElementImageDescriptor

    java.lang.Object
      org.eclipse.jface.resource.ImageDescriptor
          org.eclipse.jface.resource.CompositeImageDescriptor
              org.eclipse.jdt.ui.JavaElementImageDescriptor

public class JavaElementImageDescriptor
extends CompositeImageDescriptor

A JavaImageDescriptor consists of a base image and several adornments. The adornments are computed according to the flags either passed during creation or set via the method `setAdornments`.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Field Summary
`static int` | `ABSTRACT` Flag to render the abstract adornment.
`static int` | `CONSTRUCTOR` Flag to render the 'constructor' adornment.
`static int` | `DEPRECATED` Flag to render the 'deprecated' adornment.
`static int` | `ERROR` Flag to render the error adornment.
`static int` | `FINAL` Flag to render the final adornment.
`static int` | `IMPLEMENTS` Flag to render the 'implements' adornment.
`static int` | `OVERRIDES` Flag to render the 'override' adornment.
`static int` | `RUNNABLE` Flag to render the runnable adornment.
`static int` | `STATIC` Flag to render the static adornment.
`static int` | `SYNCHRONIZED` Flag to render the synchronized adornment.
`static int` | `WARNING` Flag to render the warning adornment.

Fields inherited from class org.eclipse.jface.resource.ImageDescriptor
`DEFAULT_IMAGE_DATA`

Constructor Summary
`JavaElementImageDescriptor(ImageDescriptor baseImage, int flags, Point size)` Creates a new JavaElementImageDescriptor.

Method Summary
`protected void` | `drawCompositeImage(int width, int height)`
`boolean` | `equals(Object object)`
`int` | `getAdronments()` Returns the current adornments.
`Point` | `getImageSize()` Returns the size of the image created by calling `createImage()`.
`protected Point` | `getSize()`
`int` | `hashCode()`
`void` | `setAdornments(int adornments)` Sets the descriptors adornments.
`void` | `setImageSize(Point size)` Sets the size of the image created by calling `createImage()`.

Methods inherited from class org.eclipse.jface.resource.CompositeImageDescriptor
`drawImage, getImageData`

Methods inherited from class org.eclipse.jface.resource.ImageDescriptor
`createFromFile, createFromURL, createImage, createImage, createImage, createImage, getMissingImageDescriptor`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABSTRACT

    public static final int ABSTRACT

  Flag to render the abstract adornment.

  See Also:
    Constant Field Values

### FINAL

    public static final int FINAL

  Flag to render the final adornment.

  See Also:
    Constant Field Values

### SYNCHRONIZED

    public static final int SYNCHRONIZED

  Flag to render the synchronized adornment.

  See Also:
    Constant Field Values

### STATIC

    public static final int STATIC

  Flag to render the static adornment.

  See Also:
    Constant Field Values

### RUNNABLE

    public static final int RUNNABLE

  Flag to render the runnable adornment.

  See Also:
    Constant Field Values

### WARNING

    public static final int WARNING

  Flag to render the warning adornment.

  See Also:
    Constant Field Values

### ERROR

    public static final int ERROR

  Flag to render the error adornment.

  See Also:
    Constant Field Values

### OVERRIDES

    public static final int OVERRIDES

  Flag to render the 'override' adornment.

  See Also:
    Constant Field Values

### IMPLEMENTS

    public static final int IMPLEMENTS

  Flag to render the 'implements' adornment.

  See Also:
    Constant Field Values

### CONSTRUCTOR

    public static final int CONSTRUCTOR

  Flag to render the 'constructor' adornment.

  See Also:
    Constant Field Values

### DEPRECATED

    public static final int DEPRECATED

  Flag to render the 'deprecated' adornment.

  Since:
    3.0
  See Also:
    Constant Field Values

Constructor Detail

### JavaElementImageDescriptor

    public JavaElementImageDescriptor(ImageDescriptor baseImage,
                                      int flags,
                                      Point size)

  Creates a new JavaElementImageDescriptor.

Parameters:
  `baseImage` - an image descriptor used as the base image
  `flags` - flags indicating which adornments are to be rendered. See `setAdornments` for valid values.
  `size` - the size of the resulting image
See Also:
  `setAdornments(int)`

Method Detail

### setAdornments

    public void setAdornments(int adornments)

  Sets the descriptors adornments. Valid values are: `ABSTRACT`, `FINAL`, `SYNCHRONIZED`, STATIC`,` RUNNABLE`,` WARNING`,` ERROR`,` OVERRIDDES`, `IMPLEMENTS`, `CONSTRUCTOR`, `DEPRECATED`, or any combination of those.

  `
  Parameters:
    `adornments` - the image descriptors adornments

### getAdronments

    public int getAdronments()

  Returns the current adornments.

  Returns:
    the current adornments

### setImageSize

    public void setImageSize(Point size)

  Sets the size of the image created by calling `createImage()`.

  Parameters:
    `size` - the size of the image returned from calling `createImage()`
  See Also:
    `ImageDescriptor.createImage()`

### getImageSize

    public Point getImageSize()

  Returns the size of the image created by calling `createImage()`.

  Returns:
    the size of the image created by calling `createImage()`
  See Also:
    `ImageDescriptor.createImage()`

### getSize

    protected Point getSize()

### equals

    public boolean equals(Object object)

### hashCode

    public int hashCode()

### drawCompositeImage

    protected void drawCompositeImage(int width,
                                      int height)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.